{% extends "layout.html" %}

{% block main %}

<body>

<h><b>LB transliterator</b></h><br><br>
<font size="2">Notes on use:<br>
* The Georgian transliterator will currently not recognize უ with diacritics (not in common use)<br>
* Text styles (such as italics) will not be preserved after transliteration, so make sure to reapply these where appropriate<br><br>
</font>

<b>Original text</b><br>

<div class="form-group">
    <form name="languageform" action="/" method="post">
        <select name="language" id="selectlanguage">
            <option value="rus">Russian Cyrillic</option>
            <option value="ukr">Ukrainian/Rusyn Cyrillic</option>
            <option value="bru">Belarusan Cyrillic</option>
            <option value="bul">Bulgarian Cyrillic</option>
            <option value="mac">Macedonian Cyrillic</option>
            <option value="scr">Serbian/Montenegrin Cyrillic</option>
            <option value="mon">Mongolian Cyrillic</option>
            <option value="geo">Georgian (Mxedruli, Abkhaz, Megrelian, Ossetic)</option>
        </select><br>
        <textarea placeholder="Insert original text here" name="origtext" rows="10" cols="50"></textarea><br>
        <input type="submit" value="Submit">

</form>



</div>
<br>
<b>Original</b><br>
{{ origtext }}<br><br>

<b>Transliteration</b><br>
{{ transliteration }}

<script type = "text/javascript">

document.getElementById("selectlanguage").onchange = function() {
    localStorage.setItem("language", document.getElementById("selectlanguage").value);
};

window.onload = function() {
    if(localStorage["language"])
        document.getElementById("selectlanguage").value = localStorage["language"];
};

</script>


</body>
{% endblock %}